- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# LoggerFactory Class Reference

Inherits Object.

Inherited by DefaultLoggerFactory`[virtual]`.

List of all members.

## Detailed Description

Implement this interface to create new instances of Logger or a sub-class of Logger.

## Public Member Functions
virtual | ~LoggerFactory ()
virtual LoggerPtr | makeNewLoggerInstance (log4cxx::helpers::Pool &pool, const LogString &name) const =0

## Constructor & Destructor Documentation

virtual ~LoggerFactory | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual LoggerPtr makeNewLoggerInstance | ( | log4cxx::helpers::Pool & | pool,
|  | const LogString & | name
| ) | const`[pure virtual]`

| Implemented in DefaultLoggerFactory.

The documentation for this class was generated from the following file:

- loggerfactory.h